<?php
/**
 * @file
 * ReportFieldMailController class.
 */

namespace Drupal\report_field\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\RedirectResponse;

class ReportFieldMailController extends ControllerBase {
  
  public function report_field_mail_confirm() {
    $user_hash = $_GET['confirm'];
    $result = db_select('report_field_invalid_fields', 'n')
      ->fields('n')
      ->condition('hash', $user_hash)
      ->execute()
      ->fetchAssoc();
    db_update('report_field_invalid_fields')
      ->fields([
        'status' => 'reported',
      ])
      ->condition('hash', $user_hash)
      ->execute();
    if ($result == 0) {
      drupal_set_message(t('Invalid hash!'), 'error');
    }
    else {
      drupal_set_message(t('Field @field successfully reported!', ['@field' => $result['reported_field_title']]), 'status');
    }
    $response = new RedirectResponse(\Drupal::request()->getBaseUrl());
    $response->send();
    return $response;
  }
}
